Skip to content

Replay Events

GET
/events
curl --request GET \
--url 'https://example.com/events?limit=100'

Durable event replay — a subscriber that was down for a day catches up by paging from its last seen event id or timestamp.

since_id
Any of:
string format: uuid
since
Any of:
string format: date-time
type
Any of:
string
limit
Limit
integer
default: 100 >= 1 <= 500

Successful Response

Media typeapplication/json
Response Replay Events Events Get
Array<object>
EventOut
object
at
required
At
string format: date-time
entity_id
required
Any of:
string format: uuid
entity_type
required
Any of:
string
id
required
Id
string format: uuid
payload
required
Payload
object
key
additional properties
any
type
required
Type
string

Example generated

[
{
"at": "2026-04-15T12:00:00Z",
"entity_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"entity_type": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"payload": {},
"type": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}